from Config import Config
# this sets up a standard remarketing line with a single creative targeting the US. 
# all targeting values are the default values except exchanges which are reduced to a smaller list.
class Line:
	url = Config.url+"line"
	
	def getObj(lineName,advertiserId,segmentId,conversionPixelId,creativeId,startDate,endDate,budget):

		staticObj= {
		   "pontiacAdvertiserId":advertiserId,
		   "status":0,
		   "startDate":startDate,
		   "endDate":endDate,
		   "totalBudgetSpend":budget,
		   "budgetType":"spend",
		   "goalType":"ctr",
		   "name":lineName,
		   "budgetMultiplier":1.1,
		   "allowDynBudgetMultiplier":0,
		   "optSchedule":{
		      "days":[
		         "thursday"
		      ]
		   },
		   "bidData":{
		      "range":{
		         "max":3.75,
		         "min":0.26
		      },
		      "base":2.31
		   },
		   "conversionPixelsIds":[
		      conversionPixelId
		   ],
		   "segmentGroups":[
		      {
		         "segments":[
		            {
		               "id":segmentId,
		               "segmentType":"firstParty",
		               "action":"include",
		               "status":1
		            }
		         ],
		      }
		   ],
		   "creativesIds":[
		      creativeId
		   ],
		   "targets":{
		      "geoTargets":{
		         "action":"include",
		         "geos":[
		            {
		               "name":"United States",
		               "code":"US",
		               "id":233,
		               "type":"country"
		            }
		         ]
		      },
		      "dayPartTargets":{
		         "dayParts":[
		            {
		               "day":"sunday",
		               "startHour":6,
		               "endHour":23
		            },
		            {
		               "day":"monday",
		               "startHour":6,
		               "endHour":23
		            },
		            {
		               "day":"tuesday",
		               "startHour":6,
		               "endHour":23
		            },
		            {
		               "day":"wednesday",
		               "startHour":6,
		               "endHour":23
		            },
		            {
		               "day":"thursday",
		               "startHour":6,
		               "endHour":23
		            },
		            {
		               "day":"friday",
		               "startHour":6,
		               "endHour":23
		            },
		            {
		               "day":"saturday",
		               "startHour":6,
		               "endHour":23
		            }
		         ]
		      },
		      "inventoryTypeTargets":{
		         "types":[
		            "web",
		            "mobileWeb"
		         ]
		      },
		      "osTargets":{
		         "action":"include",
		         "systems":[
		            {
		               "name":"Android",
		               "id":2
		            },
		            {
		               "name":"Apple iOS",
		               "id":3
		            },
		            {
		               "name":"Apple Mac",
		               "id":4
		            },
		            {
		               "name":"Microsoft Windows",
		               "id":5
		            }
		         ]
		      },
		      "exchangeTargets":{
		         "action":"include",
		         "exchanges":[
		            {
		               "id":2,
		               "name":"Pubmatic",
		               "category":"Exchange",
		               "sensitive":0
		            },
		            {
		               "id":8,
		               "name":"OpenX",
		               "category":"Exchange",
		               "sensitive":1
		            },
		            {
		               "id":9,
		               "name":"Rubicon",
		               "category":"Exchange",
		               "sensitive":0
		            },
		            {
		               "id":10,
		               "name":"AppNexus (Tier 3) Open",
		               "category":"Network",
		               "sensitive":0
		            },
		            {
		               "id":11,
		               "name":"AppNexus (Tier 2) Premier",
		               "category":"Network",
		               "sensitive":1
		            },
		            {
		               "id":12,
		               "name":"AppNexus (Tier 2) Open",
		               "category":"Network",
		               "sensitive":0
		            }
		         ]
		      }
		   },
		   "frequency":{
		      "maxLifetimeImpressions":12,
		      "maxDailyImpressions":4,
		      "allowDyn":1
		   },
		   "creativeSuperType":"standard"
		}  

		
		return staticObj
