from Client import PontiacClient
from Advertiser import Advertiser
from ConversionPixel import ConversionPixel
from SegmentPixel import SegmentPixel
from Creative import Creative
from Line import Line
from Config import Config
import time


#---------------------------------------------------------------------

advertiserName = Config.advertiserName
segmentPixelName = Config.segmentPixelName
conversionPixelName = Config.conversionPixelName

lineName = Config.lineName
startDate = Config.startDate
endDate = Config.endDate
budget = Config.budget

creativeName = Config.creativeName
creativeDir = Config.creativeDir
#---------------------------------------------------------------------

#authenticate, PontiacClient will store the token internally
PontiacClient.auth(Config.username,Config.password)

#create the advertiser and store the advertiserId
url = Advertiser.url
obj = Advertiser.getObj(advertiserName)
response = PontiacClient.sendPost(url,obj)
print(response)
advertiserId = response["Advertisers"][0]['pontiacAdvertiserId']
print("advertiserId: "+str(advertiserId))

#create the segmentPixel and store the id
segUrl = SegmentPixel.url
obj = SegmentPixel.getObj(segmentPixelName,advertiserId)
response = PontiacClient.sendPost(segUrl,obj)
segmentId = response["SegmentPixel"]['pontiacSegmentId']
print("segmentId: "+str(segmentId))

#create the conversionPixel and store the id
convUrl = ConversionPixel.url
obj = ConversionPixel.getObj(conversionPixelName,advertiserId)
response = PontiacClient.sendPost(convUrl,obj)
conversionPixelId = response["ConversionPixel"]['pontiacPixelId']
print("conversionPixelId: "+str(conversionPixelId))

#create a 300x250 creative and store the id
url = Creative.url
obj = Creative.getObj(creativeName,advertiserId,creativeDir)
response = PontiacClient.sendPost(url,obj)
creativeId = response["Creatives"][0]['pontiacCreativeId']
print("creativeId: "+str(creativeId))

#create the line and store the id
url = Line.url
obj = Line.getObj(lineName,advertiserId,segmentId,conversionPixelId,creativeId,startDate,endDate,budget)
response = PontiacClient.sendPost(url,obj)
lineId = response["Lines"][0]['pontiacLineId']
print("lineId: "+str(lineId))


print("sleep while waiting 120 seconds for exchange ids to generate")
time.sleep(120)

#send get request to retreive the exchange id for the segmentPixel
params = {'segment-id':segmentId}
response = PontiacClient.sendGet(segUrl,params)
segExId = response["SegmentPixel"]['exchangeId']
print("segExId: "+str(segExId))

#send get request to retreive the exchange id for the conversionPixel
params = {'pixel-id':conversionPixelId}
response = PontiacClient.sendGet(convUrl,params)
convExId = response["ConversionPixel"]['exchangeId']
print("convExId: "+str(convExId))

#Image pixel for our segment
segHtml = '<img src="https://one.progmxs.com/seg?add='+str(segExId)+'&t=2" width="1" height="1" />'

#Image pixel for our conversion pixel
convHtml = '<img src="https://one.progmxs.com/px?id='+str(convExId)+'&t=2" width="1" height="1" />'

print("html for segment pixel: "+segHtml)
print("html for conversion pixel: "+convHtml)





